Skip to main content
GET
Get Call

Authorizations

Authorization
string
header
required

Specify the authorization token in the form AccountId:SecretKey, or an OAuth 2.0 access token.

For more information, check out the Authorization Guide and the OAuth 2.0 Guide.

Path Parameters

callId
string
required

Response

Call information

id
string | null

The unique identifier of the call.

pearlId
string | null

The unique identifier of the Pearl (API v2).

The unique identifier of the inbound/outbound (API v1).

leadId
string | null

If the call is outbound, this is the unique identifier of the lead that was called. Otherwise, this value is null.

startTime
string<date-time> | null

The date and time when the call processing started.

conversationStatus
integer<int32>

The outcome of the conversation during the call.

To determine the definition of 'Success' or 'Not Successful,' please refer to the Create a Pearl page at step 4.

10 - NotAnswered

35 - InQueue

40 - OnGoing

70 - VoiceMailLeft

100 - Success

110 - NotSuccessful

130 - Completed

150 - Unreachable

220 - Blacklisted

300 - QueueAbandon

500 - Error

status
integer<int32>

Represents the current status of a call.

3 - InProgress

4 - Completed

5 - Busy

6 - Failed

7 - NoAnswer

8 - Canceled

10 - OnGoingText

from
string | null

The phone number from which the call was made.

to
string | null

The phone number to which the call was made.

name
string | null

The name associated with the call, if available.

duration
integer<int32>

The duration of the call in seconds.

recording
string | null

The URL of the recording of the call, if available.

transcript
object[] | null

The transcript of the conversation, represented as a list of chat messages.

summary
string | null

A summary of the conversation.

collectedInfo
object[] | null

A List containing information collected during the call.

tags
string[] | null

The tags or labels triggered during the conversation

isCallTransferred
boolean

Indicates whether the call was transferred to a human or another endpoint.

overallSentiment
integer<int32> | null

Represents the overall emotional tone detected from the client during the conversation.

1 - Negative

2 - SlightlyNegative

3 - Neutral

4 - SlightlyPositive

5 - Positive

queueDuration
integer<int32> | null

The time (in seconds) the user spent in the queue, before being connected or transferred to an agent. (inbound only)

creditDebited
integer<int32>

The total amount of credits debited for the entire conversation.

smsCreditDebited
integer<int32>

The total amount of credits debited for SMS usage during this conversation.

pearlVersion
integer<int32> | null

The published version of the Pearl that handled this call. This value is null when no version was recorded for the call.